package ui.view;

import java.awt.Image;
import java.io.File;
import java.io.IOException;

import javax.imageio.ImageIO;

public class Util {
	
	static Image loadImage(Object origin, String url, int w, int h, int scale){
		return loadImage(origin,url).getScaledInstance(w, h, scale);
	}
	static Image loadImage(Object origin, String url, int w, int h){
		return loadImage(origin,url,w,h, Image.SCALE_SMOOTH);
	}
	static Image loadImage(Object origin, String url){
		try {
			return ImageIO.read(loadFile(origin, url));
		} catch (IOException e) {
			e.printStackTrace();
			return null;
		}
	}
	static File loadFile(Object origin, String url){
		try{
			return new File(origin.getClass().getResource(url).getFile());
		}catch(Exception e){
			boolean rootSymbol=false;//Whether url starts with a / or \
			switch(url.charAt(0)){
			case '/':case '\\':rootSymbol=true;
			}
			return new File("res"+(rootSymbol?"":"/")+url);
		}
	}
}